Bug 91237 - multiple keyboard layouts (US English + Russian) do not work in KDE at all
multiple keyboard layouts (US English + Russian) do not work in KDE at all
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-20 06:34 EDT by Lena E. Serov
Modified: 2007-04-18 12:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 01:11:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lena E. Serov 2003-05-20 06:34:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705; .NET CLR 1.1.4322)

Description of problem:
After installation of KDE and Russian i18n, if you enable keyboard layouts in 
Control Center, select US English (us) as the primary and Russian (ru) as the 
additional layout, all input is in Russian, regardless of the current layout 
(i.e. you may switch between layouts, but all input is still in Russian).
After you get out of X, you may see a message about xkbcomp error (no "pc104" 
symbol in include file for us keyboard)
If you select the US English with ISO 5559-3 (en) layout as the primary one, 
everything works OK.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install with Russian language by default
2.Enter KDE Control Center, enable keyboard layouts, select US(us), pc as 
primary, Russian (ru), winkeys variant, as an additional one
3.
    

Actual Results:  After you submit changes ALL input is in Russian and there's 
no way to switch back to English. You can switch between the layouts, and even 
the keyboard layout indicator changes its reading, but still all input is in 
Russian.

Expected Results:  You should be able to type BOTH in Russian and in English

Additional info:
Comment 1 Ngo Than 2003-05-21 06:12:02 EDT
i could be a problem in XFree86 config. Could you please change the Keyboard model
in your XF86Config to pc105 (XkbModel "pc105").

It works for me with this change.
Comment 2 Mike A. Harris 2003-05-21 08:05:40 EDT
xkb related problems such as this, are best reported directly to XFree86.org
as they fix xkb related bugs with great efficiency.  Usually problems are
fixed within a week of getting reported upstream, and then backports can
be done in erratum.

For your convenience, here is the upstream bug tracker URL where you can report
this:   http://bugs.xfree86.org

Please update this report and include the URL to the upstream bug report
when you file it, and I will track it there instead, and add any fixes
which come out of it.

Comment 3 Pavel Urban 2003-09-08 08:33:30 EDT
I had the similar problem. Seems like KDE Control center's Keyboard layout tries
to add wrong 'primary variant' to 'primary layout' in case of U.S. English. More
precisely:

When I choose 'Primary layout: U.S.English', xkbconfig gets invoked with:

xkb_keymap "default" {
xkb_keycodes { include "xfree86+aliases(qwerty)" };
xkb_types { include "complete" };
xkb_compatibility { include "complete" };
xkb_symbols { include "pc/pc(pc101)+pc/us(pc101)" };
xkb_geometry { include "pc(pc101)" };
};

Watch xkb_symbols line!

When I choose 'Czech' keyboard, it is
xkb_keymap "default" {
xkb_keycodes { include "xfree86+aliases(qwertz)" };
xkb_types { include "complete" };
xkb_compatibility { include "complete" };
xkb_symbols { include "pc/pc(pc101)+pc/cz" };
xkb_geometry { include "pc(pc101)" };
};

The problem is that there is no other than 'basic' section in pc/us symbol file.
 You can solve this problem by adding another section to this file.

[root@iol-43412nb xkb]# pwd
/usr/X11R6/lib/X11/xkb
[root@iol-43412nb xkb]# diff symbols/pc/us.orig symbols/pc/us
62a63,67
>
> xkb_symbols "generic101" {
>     include "pc/us(basic)"
>
> };

Note that this is just workaround that works for me (TM)
Comment 4 Zenon Panoussis 2004-02-22 05:30:10 EST
I am having this same problem on FC1. /etc/sysconfig/keyboard says
KEYTABLE="sv-latin1". If I enable keyboard layouts in KDE, SE, US and
EL with SE as the primary, I can switch between US and EL. Switching
back to SE results in a blank keyboard, i.e. all keys dead. The only
way to get a Swedish keyboard back is to disable keyboard layouts
completely and then log out of KDE and back in. 

SE misbehaves the same way in any other combination too. I tried SE,
EL, AB and SE, UA, IT and a few more at random, all of them with the
same results. It also makes no differentce whether SE is using basic,
se or nodeadkeys as its primary variant. It also makes no difference
if US is used as the primary and SE only as an auxiliary layout. The
KDE country is "default" and the language empty. Setting those to
Sweden and US English respectively doesn't make any difference either. 

Comment 5 Mike A. Harris 2004-10-01 01:11:11 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

    http://fedora.redhat.com

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.


Note You need to log in before you can comment on or make changes to this bug.